
Foreman - Refactor #21999

Replace the Alert component with patternfly-react Alert

12/17/2017 03:49 PM - Avi Sharvit

Status: Closed   

Priority: Normal   

Assignee: Avi Sharvit   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5110

  

Description

Associated revisions

Revision cf94f62e - 02/28/2018 02:40 PM - Avi Sharvit

Fixes #21999,#22005 - Migrate toasts to pf-react

Replace Alert and Toasts components with patternfly-react

Refactor the server side flash-notification

Allow rails-flah-notification to react-toast-notification with link

History

#1 - 12/17/2017 04:07 PM - Avi Sharvit

- Tracker changed from Bug to Refactor

#2 - 12/28/2017 01:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5110 added

#3 - 01/02/2018 02:56 PM - Walden Raines

- Target version set to 237

#4 - 01/02/2018 11:22 PM - Walden Raines

- Target version changed from 237 to 239

#5 - 01/03/2018 07:09 PM - Walden Raines

- Status changed from Ready For Testing to New

#6 - 01/04/2018 04:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#7 - 01/23/2018 02:42 PM - Walden Raines

- Target version changed from 239 to 243

#8 - 02/13/2018 02:06 PM - Walden Raines

- Target version changed from 243 to 248

#9 - 02/28/2018 02:43 PM - Ohad Levy

- translation missing: en.field_release set to 330
#10 - 02/28/2018 03:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cf94f62ebca3d9e8777165204bb1e97cb209831c.
